RPC code overrides a private method of Oslo's Dispatcher class

Bug #1412977 reported by Doug Hellmann on 2015-01-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Designate
Critical
Kiall Mac Innes

Bug Description

The RPCDispatcher in Designate overrides the _dispatch() method of the base class from Oslo.

http://git.openstack.org/cgit/openstack/designate/tree/designate/rpc.py#n176

That method is not part of the API, and is not intended to be used by code outside of oslo.messaging. If you need features added to the dispatcher, please come talk to us.

description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/148733

Changed in designate:
assignee: nobody → Doug Hellmann (doug-hellmann)
status: New → In Progress
Kiall Mac Innes (kiall) on 2015-01-21
Changed in designate:
milestone: none → kilo-2
importance: Undecided → Critical

Reviewed: https://review.openstack.org/148733
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=a86181a9fe7a2b7e1541f6a475fafe4e371e4a72
Submitter: Jenkins
Branch: master

commit a86181a9fe7a2b7e1541f6a475fafe4e371e4a72
Author: Doug Hellmann <email address hidden>
Date: Tue Jan 20 22:07:34 2015 +0000

    Temporary fix for bad _dispatch() invocation

    This fixes the incorrect arguments passed to _dispatch(), now that the
    method signature is changing in oslo.messaging. The code should be
    further updated to not use a private method of the base class.

    Change-Id: I2d72a687925122e1106c031df256dff4278dca5b
    Partial-bug: #1412977

Kiall Mac Innes (kiall) on 2015-01-28
Changed in designate:
milestone: kilo-2 → kilo-3
Kiall Mac Innes (kiall) on 2015-03-19
Changed in designate:
milestone: kilo-3 → kilo-rc1
Changed in designate:
status: In Progress → Fix Committed
assignee: Doug Hellmann (doug-hellmann) → Endre Karlson (endre-karlson)
assignee: Endre Karlson (endre-karlson) → Doug Hellmann (doug-hellmann)
status: Fix Committed → In Progress
Kiall Mac Innes (kiall) on 2015-03-31
Changed in designate:
milestone: kilo-rc1 → liberty-1
Thierry Carrez (ttx) on 2015-06-24
Changed in designate:
milestone: liberty-1 → liberty-2
Kiall Mac Innes (kiall) on 2015-07-28
Changed in designate:
milestone: liberty-2 → liberty-3
assignee: Doug Hellmann (doug-hellmann) → nobody
status: In Progress → Triaged
Kiall Mac Innes (kiall) on 2015-09-02
Changed in designate:
milestone: liberty-3 → liberty-rc1
Kiall Mac Innes (kiall) on 2015-09-09
Changed in designate:
milestone: liberty-rc1 → none

Fix proposed to branch: master
Review: https://review.openstack.org/314528

Changed in designate:
assignee: nobody → Kiall Mac Innes (kiall)
status: Triaged → In Progress
Kiall Mac Innes (kiall) wrote :

https://review.openstack.org/314528 updates us to support both v4 and v5, as v5 becomes the min in requirements.txt, we can remove the override of the private method - as it's no longer private.

Reviewed: https://review.openstack.org/314528
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=ca7ffbab5b0df9cffa783a1864196c17cfd40b49
Submitter: Jenkins
Branch: master

commit ca7ffbab5b0df9cffa783a1864196c17cfd40b49
Author: Kiall Mac Innes <email address hidden>
Date: Tue May 10 13:06:49 2016 +0100

    Support both olso.m v4 and v5

    Oslo.Messaging v5 made some API changes which broke us in
    I5f23e23644e90919cb67f81fc306ee85c5e09974. Update our
    code to "detect" this API change, and behave accordingly.

    Closes-Bug: 1580139
    Partial-Bug: 1412977
    Change-Id: I5b44cd2ded32d90be6efda7b5238df72ce6c6cbd

Reviewed: https://review.openstack.org/314608
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=3011dc0d130bfde9b5504bc507de93a9b037f4a7
Submitter: Jenkins
Branch: stable/liberty

commit 3011dc0d130bfde9b5504bc507de93a9b037f4a7
Author: Kiall Mac Innes <email address hidden>
Date: Tue May 10 13:06:49 2016 +0100

    Support both olso.m v4 and v5

    Oslo.Messaging v5 made some API changes which broke us in
    I5f23e23644e90919cb67f81fc306ee85c5e09974. Update our
    code to "detect" this API change, and behave accordingly.

    Closes-Bug: 1580139
    Partial-Bug: 1412977
    Change-Id: I5b44cd2ded32d90be6efda7b5238df72ce6c6cbd
    (cherry picked from commit ca7ffbab5b0df9cffa783a1864196c17cfd40b49)

tags: added: in-stable-liberty

Reviewed: https://review.openstack.org/314609
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=85b172c04781052bae05368f3e6ac512388bdec5
Submitter: Jenkins
Branch: stable/mitaka

commit 85b172c04781052bae05368f3e6ac512388bdec5
Author: Kiall Mac Innes <email address hidden>
Date: Tue May 10 13:06:49 2016 +0100

    Support both olso.m v4 and v5

    Oslo.Messaging v5 made some API changes which broke us in
    I5f23e23644e90919cb67f81fc306ee85c5e09974. Update our
    code to "detect" this API change, and behave accordingly.

    Closes-Bug: 1580139
    Partial-Bug: 1412977
    Change-Id: I5b44cd2ded32d90be6efda7b5238df72ce6c6cbd
    (cherry picked from commit ca7ffbab5b0df9cffa783a1864196c17cfd40b49)

tags: added: in-stable-mitaka
Kiall Mac Innes (kiall) wrote :

This will be resolved once we have oslo.messaging 5.0.0 or higher in requirements, and we remove the code marked with "Remove once 5.0" in the above commit.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers